Bug 845251 - sssd does not try another server when unable to resolve hostname
Summary: sssd does not try another server when unable to resolve hostname
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-02 13:16 UTC by Dmitri Pal
Modified: 2020-05-02 16:56 UTC (History)
4 users (show)

Fixed In Version: sssd-1.9.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When multiple servers are configured and SSSD is unable to resolve hostname of a server, it does not try next server in the list. Consequence: SSSD went offline, even when a working server was present in configuration file after the one with unresolvable hostname. Fix: SSSD tries next server. Result: Failover works as expected.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:27:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 2488 None None None 2020-05-02 16:56:30 UTC
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Dmitri Pal 2012-08-02 13:16:28 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1446

When SSSD is unable to resolve hostname of a server, it immediately goes to offline mode instead of trying next configured server.

Log file and sssd.conf are attached.

Comment 3 errata-xmlrpc 2013-02-21 09:27:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.